# smfi_addrcpt_par

SYNOPSIS

    #include <libmilter/mfapi.h>
    int smfi_addrcpt_par(
    	SMFICTX *ctx,
    	char *rcpt,
    	char *args
    );

Add a recipient for the current message including ESMTP arguments.

DESCRIPTION

Called When | Called only from xxfi_eom.
Effects | Add a recipient to the message envelope.

ARGUMENTS

Argument | Description
--- | ---
ctx | Opaque context structure.
rcpt | The new recipient's address.
args | The new recipient's ESMTP parameters.

RETURN VALUES

smfi_addrcpt will fail and return MI_FAILURE if:

- rcpt is NULL.
- Adding recipients in the current connection state is invalid.
- A network error occurs.
- SMFIF_ADDRCPT_PAR was not set when smfi_register was called.

Otherwise, it will return MI_SUCCESS.

NOTES | A filter which calls smfi_addrcpt must have set the SMFIF_ADDRCPT_PAR flag in the smfiDesc_str passed to smfi_register.

Copyright (c) 2006 Sendmail, Inc. and its suppliers. All rights reserved.
By using this file, you agree to the terms and conditions set forth in the LICENSE.